Page MenuHomePhabricator

[CatWatch] CategoryMembership is running SELECTS on the master
Closed, ResolvedPublic5 Story Points

Description

SELECT /* CategoryMembershipChangeJob::run  */  rev_timestamp,rev_id  FROM `revision` INNER JOIN `recentchanges` ON ((rc_this_oldid = rev_id) AND rc_source = 'mw.categorize' AND (rc_cur_id = rev_page) AND (rc_timestamp >= rev_timestamp))  WHERE rev_page = '510504' AND (rev_timestamp >= '20160128204753')  ORDER BY rev_timestamp DESC, rev_id DESC LIMIT 1

Event Timeline

jcrespo created this task.Jan 28 2016, 8:55 PM
jcrespo raised the priority of this task from to Needs Triage.
jcrespo updated the task description. (Show Details)
jcrespo added a subscriber: jcrespo.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 28 2016, 8:55 PM

There is a slave with specialized partitioning on the recentchanges table to improve the performance.

Addshore renamed this task from CategoryMembership is running SELECTS on the master to [CatWatch] CategoryMembership is running SELECTS on the master.Jan 29 2016, 9:45 AM
Addshore added a project: TCB-Team.
Addshore set Security to None.
Addshore added a subscriber: Addshore.
Tobi_WMDE_SW triaged this task as High priority.Jan 29 2016, 9:51 AM

Change 267227 had a related patch set uploaded (by Addshore):
Use slave for selects in CategoryMembershipJob

https://gerrit.wikimedia.org/r/267227

Change 267227 merged by jenkins-bot:
Use slave for selects in CategoryMembershipJob

https://gerrit.wikimedia.org/r/267227

Addshore closed this task as Resolved.Jan 31 2016, 7:44 PM
Tobi_WMDE_SW moved this task from Incoming to Done on the TCB-Team board.Mar 17 2016, 2:02 PM